FLTK 1.3.9: Fl_XBM_Image Class Reference

FLTK 1.3.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Fl_XBM_Image Class Reference

The Fl_XBM_Image class supports loading, caching, and drawing of X Bitmap (XBM) bitmap files. More...

`#include <Fl_XBM_Image.H>`

Inheritance diagram for Fl_XBM_Image:

## Public Member Functions
| Fl_XBM_Image (const char *filename)
| The constructor loads the named XBM file from the given name filename.
Public Member Functions inherited from Fl_Bitmap
Fl_Image * | copy ()
virtual Fl_Image * | copy (int W, int H)
| The copy() method creates a copy of the specified image.
void | draw (int X, int Y)
virtual void | draw (int X, int Y, int W, int H, int cx=0, int cy=0)
| Draws the image with a bounding box.
| Fl_Bitmap (const char *bits, int W, int H)
| The constructors create a new bitmap from the specified bitmap data.
| Fl_Bitmap (const uchar *bits, int W, int H)
| The constructors create a new bitmap from the specified bitmap data.
virtual void | label (Fl_Menu_Item *m)
| The label() methods are an obsolete way to set the image attribute of a widget or menu item.
virtual void | label (Fl_Widget *w)
| The label() methods are an obsolete way to set the image attribute of a widget or menu item.
virtual void | uncache ()
| If the image has been cached for display, delete the cache data.
virtual | ~Fl_Bitmap ()
| The destructor frees all memory and server resources that are used by the bitmap.
Public Member Functions inherited from Fl_Image
virtual void | color_average (Fl_Color c, float i)
| The color_average() method averages the colors in the image with the FLTK color value c.
Fl_Image * | copy ()
| The copy() method creates a copy of the specified image.
virtual Fl_Image * | copy (int W, int H)
| The copy() method creates a copy of the specified image.
int | count () const
| The count() method returns the number of data values associated with the image.
int | d () const
| Returns the current image depth.
const char *const * | data () const
| Returns a pointer to the current image data array.
virtual void | desaturate ()
| The desaturate() method converts an image to grayscale.
void | draw (int X, int Y)
| Draws the image.
virtual void | draw (int X, int Y, int W, int H, int cx=0, int cy=0)
| Draws the image with a bounding box.
int | fail ()
| Returns a value that is not 0 if there is currently no image available.
| Fl_Image (int W, int H, int D)
| The constructor creates an empty image with the specified width, height, and depth.
int | h () const
| Returns the current image height in pixels.
void | inactive ()
| The inactive() method calls color_average(FL_BACKGROUND_COLOR, 0.33f) to produce an image that appears grayed out.
virtual void | label (Fl_Menu_Item *m)
| The label() methods are an obsolete way to set the image attribute of a widget or menu item.
virtual void | label (Fl_Widget *w)
| The label() methods are an obsolete way to set the image attribute of a widget or menu item.
int | ld () const
| Returns the current line data size in bytes.
virtual void | uncache ()
| If the image has been cached for display, delete the cache data.
int | w () const
| Returns the current image width in pixels.
virtual | ~Fl_Image ()
| The destructor is a virtual method that frees all memory used by the image.

## Additional Inherited Members
Static Public Member Functions inherited from Fl_Image
static Fl_RGB_Scaling | RGB_scaling ()
| Returns the currently used RGB image scaling method.
static void | RGB_scaling (Fl_RGB_Scaling)
| Sets the RGB image scaling method used for copy(int, int).
Public Attributes inherited from Fl_Bitmap
int | alloc_array
| Non-zero if array points to bitmap data allocated internally.
const uchar * | array
| pointer to raw bitmap data
Static Public Attributes inherited from Fl_Image
static const int | ERR_FILE_ACCESS = -2
static const int | ERR_FORMAT = -3
static const int | ERR_NO_IMAGE = -1
Protected Member Functions inherited from Fl_Image
void | d (int D)
| Sets the current image depth.
void | data (const char *const *p, int c)
| Sets the current array pointer and count of pointers in the array.
void | draw_empty (int X, int Y)
| The protected method draw_empty() draws a box with an X in it.
void | h (int H)
| Sets the current image height in pixels.
void | ld (int LD)
| Sets the current line data size in bytes.
void | w (int W)
| Sets the current image width in pixels.
Static Protected Member Functions inherited from Fl_Image
static void | labeltype (const Fl_Label *lo, int lx, int ly, int lw, int lh, Fl_Align la)
static void | measure (const Fl_Label *lo, int &lw, int &lh)

## Detailed Description

The Fl_XBM_Image class supports loading, caching, and drawing of X Bitmap (XBM) bitmap files.

## Constructor & Destructor Documentation

## ◆ Fl_XBM_Image()

Fl_XBM_Image::Fl_XBM_Image | ( | const char * | name | ) |

The constructor loads the named XBM file from the given name filename.

The destructor frees all memory and server resources that are used by the image.

The documentation for this class was generated from the following files:

- Fl_XBM_Image.H
- Fl_XBM_Image.cxx